<div dir="ltr">adding <span style="color:rgb(0,0,0);font-family:Consolas,monospace;font-size:13.3333px">luajit_CFLAGS="-I/usr/local/</span><span style="color:rgb(0,0,0);font-family:Consolas,monospace;font-size:13.3333px">include/luajit-2.0" and luajit_LIBS="-L/usr/local/lib -lluajit-5.1" did the trick, thank you very much!</span></div><div class="gmail_extra"><br><div class="gmail_quote">On Mon, Dec 7, 2015 at 2:21 PM, Y M <span dir="ltr"><<a href="mailto:snort@...15979..." target="_blank">snort@...15979...</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">




<div dir="ltr">
<div style="font-size:12pt;color:#000000;background-color:#ffffff;font-family:Calibri,Arial,Helvetica,sans-serif">
<p><br>
</p>
<p>Avery,</p>
<p><br>
</p>
<p>Here is what I did on FreeBSD 10.2 which succeeded with me:</p>
<p><br>
</p>
<p><span style="font-family:Consolas,monospace;font-size:10pt">./configure </span>
<span style="font-family:Consolas,monospace;font-size:10pt">--enable-sourcefire --enable-open-appid luajit_CFLAGS="-I/usr/local/include/luajit-2.0" luajit_LIBS="-L/usr/local/lib -lluajit-5.1"</span><br>
</p>
<p><br>
</p>
<p><span style="font-family:Consolas,monospace;font-size:10pt"># which luajit<br>
</span></p>
<span style="font-family:Consolas,monospace;font-size:10pt">/usr/local/bin/luajit</span><br style="font-family:Consolas,monospace;font-size:10pt">
<br style="font-family:Consolas,monospace;font-size:10pt">
<span style="font-family:Consolas,monospace;font-size:10pt"># which lua51</span><br style="font-family:Consolas,monospace;font-size:10pt">
<span style="font-family:Consolas,monospace;font-size:10pt">/usr/local/bin/lua51</span><br>
<br>
YM<br>
<div style="color:rgb(0,0,0)">
<hr style="display:inline-block;width:98%">
<div dir="ltr"><font style="font-size:11pt" color="#000000" face="Calibri, sans-serif"><b>From:</b> Avery Rozar <<a href="mailto:avery.rozar@...17372..." target="_blank">avery.rozar@...17372...</a>><br>
<b>Sent:</b> Monday, December 7, 2015 7:14 PM<br>
<b>To:</b> William S<br>
<b>Cc:</b> Y M; <a href="mailto:snort-users@lists.sourceforge.net" target="_blank">snort-users@lists.sourceforge.net</a>; <a href="mailto:snort-devel@lists.sourceforge.net" target="_blank">snort-devel@...2652...e.net</a><br>
<b>Subject:</b> Re: [Snort-users] --enable-open-appid failing even though luajit is installed</font>
<div> </div>
</div><div><div class="h5">
<div>
<div dir="ltr">I did see this one but from what I can see freeBSD 10.2 is not using pkg-config, but I could be wrong.
<div><br>
</div>
<div>Thank you,
<div>Avery</div>
</div>
</div>
<div class="gmail_extra"><br>
<div class="gmail_quote">On Mon, Dec 7, 2015 at 2:03 PM, William S <span dir="ltr">
<<a href="mailto:willst@...11827..." target="_blank">willst@...13704......</a>></span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<div dir="ltr">Hi,
<div>Back in May I had issues installing on OS X, with --enable-open-appid complaining about LuaJIT.  I sent my solution to the list.  Maybe this will help?  Text from my response:</div>
<div><br>
</div>
<div>"""</div>
<div><span style="font-size:12.8px">Hi,</span>
<div style="font-size:12.8px">Well, this is fun.  I started picking apart the configure script again to figure out which pkg-config commands it was running.  I then realized I didn't have pkg-config installed at all, which was actually evidenced in the script
 output.  Just before the "checking for <span>luajit</span>... no" line, it also said "checking for pkg-config... no".  Further, grepping for PKG_CONFIG variables in config.log shows that PKG_CONFIG and PKG_CONFIG_LIBDIR were empty.  I installed pkg-config
 via brew, reran my configure script with options, and voila.  It configures and compiles just fine!</div>
<div style="font-size:12.8px"><br>
</div>
<div style="font-size:12.8px">To further validate, I uninstalled pkg-config, reran configure, and it failed as expected.</div>
<div style="font-size:12.8px"><br>
</div>
<div style="font-size:12.8px">Moral of the story - pkg-config is required for the configure script on OS X, at least when enabling OpenAppID.</div>
<div style="font-size:12.8px"><br>
</div>
<div style="font-size:12.8px">Thanks for the prompting to check on pkg-config.</div>
<div style="font-size:12.8px"><br>
</div>
<div style="font-size:12.8px"><br>
</div>
<div style="font-size:12.8px">For future reference, this was what my reply was GOING to be before I did that one last configure after installing pkg-config:</div>
<div style="font-size:12.8px"><br>
</div>
<div style="font-size:12.8px">"""<br>
<div>I believe this means that pkgconfig can find <span>LuaJIT</span>:</div>
<div><br>
</div>
<div>
<div>$ pkg-config --libs <span>luajit</span></div>
<div>-L/usr/local/lib -lluajit-5.1</div>
</div>
<div><br>
</div>
<div>And</div>
<div><br>
</div>
<div>
<div>$ pkg-config --list-all | grep -i lua</div>
<div>lua5.2               Lua - An Extensible Extension Language</div>
<div>lua-5.2              Lua - An Extensible Extension Language</div>
<div><span>luajit</span>               <span>LuaJIT</span> - Just-in-time compiler for Lua</div>
<div>lua                  Lua - An Extensible Extension Language</div>
</div>
<div><br>
</div>
<div><br>
</div>
<div>If I'm pulling the right lines from configure script, I think this also means yes it can find <span>LuaJIT</span>:</div>
<div><br>
</div>
<div>
<div>$ pkg-config --print-errors --cflags --libs <span>luajit</span></div>
<div>-I/usr/local/include/<span>luajit</span>-2.0 -L/usr/local/lib -lluajit-5.1</div>
</div>
<div>"""</div>
<div><br>
</div>
<div><br>
</div>
</div>
</div>
<div><br>
</div>
<div><br>
</div>
</div>
<div class="gmail_extra"><br>
<div class="gmail_quote">
<div>
<div>On Mon, Dec 7, 2015 at 1:56 PM, Y M <span dir="ltr"><<a href="mailto:snort@...15979..." target="_blank">snort@...15979...</a>></span> wrote:<br>
</div>
</div>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<div>
<div>
<div>
<div style="padding-left:16px;padding-right:16px;padding-bottom:8px">
<div>In my case I also had to install lua51 (which may be unnecessary). Also you need to set the "luajit_CFLAGS" and "luajit_LIBS" when compiling Snort.</div>
<div><br>
</div>
</div>
<div class="gmail_quote">_____________________________<br>
From: Avery Rozar <<a dir="ltr" href="mailto:avery.rozar@...17372..." target="_blank">avery.rozar@...17372...</a>><br>
Sent: Monday, December 7, 2015 9:53 PM<br>
Subject: [Snort-users] --enable-open-appid failing even though luajit is installed<br>
To: <<a dir="ltr" href="mailto:snort-users@lists.sourceforge.net" target="_blank">snort-users@lists.sourceforge.net</a>>, <<a dir="ltr" href="mailto:snort-devel@lists.sourceforge.net" target="_blank">snort-devel@lists.sourceforge.net</a>>
<div>
<div><br>
<br>
<br>
<div dir="ltr">I'm trying trying to install Snort 2.8 on FreeBSD with the --enable-open-appid configuration option. It's failing complaining that luajit is not installed. I did install luajit 2.0.4 from source with default options and verified with "which luajit",
 this is the response "/usr/local/bin/luajit". There does not seem to be an option for "--with-luajit-libraries=DIR" in the ./configure --help. 
<p><span>checking for luajit... no</span></p>
<p>  ERROR!  LuaJIT library not found.....</p>
<p>Am I missing another dependency?<br>
</p>
<p>Thanks,<br>
</p>
<p><br>
</p>
<p>Avery</p>
</div>
<br>
<br>
</div>
</div>
</div>
</div>
<br>
</div>
</div>
------------------------------------------------------------------------------<br>
Go from Idea to Many App Stores Faster with Intel(R) XDK<br>
Give your users amazing mobile app experiences with Intel(R) XDK.<br>
Use one codebase in this all-in-one HTML5 development environment.<br>
Design, debug & build mobile apps & 2D/3D high-impact games for multiple OSs.<br>
<a href="http://pubads.g.doubleclick.net/gampad/clk?id=254741911&iu=/4140" rel="noreferrer" target="_blank">http://pubads.g.doubleclick.net/gampad/clk?id=254741911&iu=/4140</a><br>
_______________________________________________<br>
Snort-users mailing list<br>
<a href="mailto:Snort-users@lists.sourceforge.net" target="_blank">Snort-users@lists.sourceforge.net</a><br>
Go to this URL to change user options or unsubscribe:<br>
<a href="https://lists.sourceforge.net/lists/listinfo/snort-users" rel="noreferrer" target="_blank">https://lists.sourceforge.net/lists/listinfo/snort-users</a><br>
Snort-users list archive:<br>
<a href="http://sourceforge.net/mailarchive/forum.php?forum_name=snort-users" rel="noreferrer" target="_blank">http://sourceforge.net/mailarchive/forum.php?forum_name=snort-users</a><br>
<br>
Please visit <a href="http://blog.snort.org" rel="noreferrer" target="_blank">http://blog.snort.org</a> to stay current on all the latest Snort news!<br>
</blockquote>
</div>
<br>
</div>
</blockquote>
</div>
<br>
</div>
</div>
</div></div></div>
</div>
</div>

</blockquote></div><br></div>